/* --------------------------------------------------------------------------------------------------- 
 * BuildTool - WebView
 * 
 * @author	Robin Bonnes <http://robinbonnes.nl/>
 * @version	1.0
 *
 * Copyright (C) 2013 Robin Bonnes. All rights reserved.
 * 
 * Description:
 * 
 * Webview that will load a webpage. When you don't have an internet connection it will show a dialog message.
 *
 * -------------------------------------------------------------------------------------------------- */

/*
 * Default Settings
 */

// Settings
var debug = false;
var busy = false;
var hasinternet = false;
var config = "config.xml";

// Options
var url = 'https://maskmynumber.com/m/';
	
// Get from config
if(debug)
{
	config = "config.xml";
}

/* --------------------------------------------------------------------------------------------------- */

/*
 * Initialize
 */

// Device Ready
document.addEventListener("deviceready", function deviceReady()
{
	$.get(config, function(data)
	{
		if(data)
		{
			// Offline Listener
			document.addEventListener("offline", onOffline, false);
			
			// Get Webpage or show offline message
			getWebpage();
		}
		else
		{
			alert("We're having trouble loading the app. Please make sure you're connected to the internet.");
		}
	});
});

/* --------------------------------------------------------------------------------------------------- */

// Get Webpage or show offline message
function getWebpage()
{
	$.get(url, function(data)
	{
		if(data.length > 0)
		{
			navigator.app.loadUrl(url);
			//window.location.href = url;
		}
		else
		{
			onOffline();
		}
	}).fail(onOffline);
}

// When phone does not have an internet connection
function onOffline()
{
	// Prevents going off twice
	if(!busy)
	{
		busy = true;
		
		// Show message
		navigator.notification.confirm(
			'You\'re not connected to internet. Please enable a network connection and try again.',
			function(buttonIndex)
			{
				if(buttonIndex == 1)
				{
					// Check status again
					busy = false;
					getWebpage();
				}
				else
				{
					navigator.app.exitApp();
				}
			},
			'Offline',
			['Try Again','Close App']
		);
		navigator.notification.vibrate(100);
	}
}